Bug 38966 - FILESAVE: Loss of header/footer in RTF files exported
Summary: FILESAVE: Loss of header/footer in RTF files exported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-05 02:58 UTC by comunesanfior
Modified: 2016-07-11 20:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT with two sections and a different first page header (7.16 KB, application/rtf)
2011-07-05 02:58 UTC, comunesanfior
Details
RTF with two sections and a different first page header (lost in the second section) (15.17 KB, application/rtf)
2011-07-05 03:01 UTC, comunesanfior
Details
RTF with two sections and a different first page header (lost in the second section) (7.16 KB, application/rtf)
2011-07-05 03:06 UTC, comunesanfior
Details
ODT with two sections and a different first page header (11.45 KB, application/vnd.oasis.opendocument.text)
2011-07-05 03:18 UTC, comunesanfior
Details

Note You need to log in before you can comment on or make changes to this bug.
Description comunesanfior 2011-07-05 02:58:42 UTC
Created attachment 48761 [details]
ODT with two sections and a different first page header

I highlight the loss in file attachments header/footer when odt or doc files exported as RTF when there is more than one session and header / footer for the first page is different.
The export to RTF file causes the loss of the header/footer after the first section.
Comment 1 comunesanfior 2011-07-05 03:01:19 UTC
Created attachment 48762 [details]
RTF with two sections and a different first page header (lost in the second section)
Comment 2 comunesanfior 2011-07-05 03:06:39 UTC
Created attachment 48763 [details]
RTF with two sections and a different first page header (lost in the second section)
Comment 3 comunesanfior 2011-07-05 03:18:16 UTC
Created attachment 48765 [details]
ODT with two sections and a different first page header
Comment 4 Miklos Vajna 2011-07-08 00:52:28 UTC
Assign to me, if it turns out I have no time for this, then I'll assign it back.
Comment 5 Miklos Vajna 2011-09-03 15:07:08 UTC
The file save part is fixed in this commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ea4e2e0f8019348379896d4f4f4d2298f11ded7

(Note that the import part is not correct, either. I'll try to fix that, but the bug report was not about that, and both the old & new filter never imported that correctly, AFAIK.)